<?php
/**
 * Dofus_Administration.class.php
 * 
 * Controller class for administrative functions
 * 
 * @author Jim Wordelman <j.wordelman@quad341.com>
 * @package Dofus
 * @subpackage Controller
 */

require_once('Dofus_Controller.abstractclass.php');

require_once(Dofus_Controller::DOFUS_MODULE_DIR . 'Dofus_DB_Interactor.class.php');

require_once('Dofus_Error_Handler.class.php');

class Dofus_Administration extends Dofus_Controller {
	/**
	 * The view handler
	 *
	 * @var Dofus_View
	 */
	protected $view = false;
	/**
	 * The database handler
	 *
	 * @var Dofus_DB_Interactor
	 */
	protected $dbh = false;
	
	public function __construct(){
		if(!$_SESSION['permissions']>=Dofus_Controller::DOFUS_USER_ADMIN)
			$this->redirectIndex();
		$this->dbh = new Dofus_DB_Interactor();
		$this->view = new Dofus_View();
		$this->view->addCrumb("Home","index.php");
	}
	
	public function defaultAction(){
		$this->home();
	}
	
	public function home(){
		$this->view->god = $_SESSION['permissions']==Dofus_Controller::DOFUS_USER_GOD;
		$this->view->addCrumb("Administration Home",null);
		try{
			$this->view->render('dofus.administration.home.view.php');
		} catch (Dofus_View_No_Template_Exception $e){
			require_once 'Dofus_Error_Handler.class.php';
			$eh = new Dofus_Error_Handler('Template (dofus.administration.home.view.php) not found.',Dofus_Error_Handler::DOFUS_ERROR_HANDLER_LOG,array('error.log',true,'quad341@gmail.com'));
		} catch (Exception $e){
			require_once 'Dofus_Error_Handler.class.php';
			$eh = new Dofus_Error_Handler('General error rendering template (dofus.administration.home.view.php): '.$e->getMessage(),Dofus_Error_Handler::DOFUS_ERROR_HANDLER_LOG,array('error.log',true,'quad341@gmail.com'));
		}
	}
	
	public function manageUsers(){
		try{
			$rs = $this->dbh->
		}
	}
}
?>