<?php
/**
 * Dofus_Controller.abstractclass.php
 * 
 * Abstract class that sets up common functions
 * and variables between all scripts
 * 
 * @author Jim Wordelman <j.wordelman@quad341.com>
 * @package Dofus
 * @subpackage Controller
 */

abstract class Dofus_Controller{
	/**
	 * Permission level of users who have registered
	 *
	 */
	const DOFUS_USER_REGISTERED = 1;
	/**
	 * Permission level of users who have been confirmed to provide good data
	 *
	 */
	const DOFUS_USER_CONFIRMED = 3;
	/**
	 * Permission level of administrators
	 *
	 */
	const DOFUS_USER_ADMIN = 5;
	/**
	 * Permission level of the god (superadmin) user
	 *
	 */
	const DOFUS_USER_GOD = 9;
	/**
	 * Includes directory for modules
	 * 
	 * Note that this has to be set up for where the interactors
	 * that use the controllers reside. This could also be an
	 * absolute path.
	 *
	 */
	const DOFUS_MODULE_DIR = "modules/";
	/**
	 * The default action of a controller. Must be defined
	 *
	 */
	abstract function defaultAction();
	/**
	 * Redirects a user to the index and stops script execution
	 *
	 */
	protected function redirectIndex(){
		header("Location: index.php\r\n\r\n");
		die(); // stops other headers from being sent
	}
}
?>