<?php
/**
 * Dofus_DB.abstractclass.php
 * 
 * Abstract class that defines database constants
 * 
 * @author Jim Wordelman <j.wordelman@quad341.com>
 */
/**
 * Exception class for errors logging into the database
 * 
 * @package DofusCommerce
 * @subpackage Database
 *
 */
class Dofus_DB_Invalid_Credentials_Exception extends Exception {}

/**
 * Abstract class for database connections defining constants used
 * 
 * @package DofusCommerce
 * @subpackage Database
 *
 */

abstract class Dofus_DB {
	/**
	 * The database host
	 *
	 */
	const DB_HOST = "localhost";
	/**
	 * The database username
	 *
	 */
	const DB_USER = "dofus_commerce";
	/**
	 * The database user's password
	 *
	 */
	const DB_PASS = "dComPass";
	/**
	 * The database name
	 *
	 */
	const DB_NAME = "dofus_prices";
	/**
	 * The directory to the controllers
	 *
	 */
	const CONTROLLER_DIR = "/Users/quad341/Sites/DofusCommerce/controllers/";
}
?>