<?php
/**
 * Dofus_DB_Install.class.php
 * 
 * Installation class for database
 * 
 * @author Jim Wordelman <j.wordelman@quad341.com>
 */

require_once "Dofus_DB.abstractclass.php";

class Dofus_DB_Table_Creation_Exception extends Exception {}

class Dofus_DB_Table_Deletion_Exception extends Exception {}

class Dofus_DB_Install extends Dofus_DB {
	/**
	 * The database handle identifier
	 *
	 * @var Int
	 */
	private $dbh = false;
	/**
	 * Constructor for the database class. Sets database parameters
	 *
	 * @param String $dbhost The host to which to connect
	 * @param String $dbuser The database user with which to log in
	 * @param String $dbpass The password for the supplied user
	 * @param String $dbname The name of the database to use
	 */
	public function __construct($dbhost=Dofus_DB::DB_HOST,$dbuser=Dofus_DB::DB_USER,$dbpass=Dofus_DB::DB_PASS,$dbname=Dofus_DB::DB_NAME){
		$dbh = mysql_connect($dbhost,$dbuser,$dbpass);
		if(!$dbh) throw new Dofus_DB_Invalid_Credentials_Exception('Invalid Login');
		mysql_select_db($dbname,$dbh);
		$this->dbh = $dbh;
	}
	/**
	 * Installs the tables for the database
	 *
	 */
	public function installTables(){
		// queries run individually for error checking
		$query = "CREATE TABLE categories (
		cat_id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
		category VARCHAR(255) NOT NULL)";
		$result = mysql_query($query,$this->dbh);
		if(!$result) throw new Dofus_DB_Table_Creation_Exception($query);
		
		$query = "CREATE TABLE items (
		item_id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
		item VARCHAR(255) NOT NULL,
		category INT NOT NULL)";
		$result = mysql_query($query,$this->dbh);
		if(!$result) throw new Dofus_DB_Table_Creation_Exception($query);
		
		$query = "CREATE TABLE prices (
		price_id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
		price INT NOT NULL,
		item_id INT NOT NULL,
		location_id INT NOT NULL,
		quantity INT NOT NULL,
		timestamp DATETIME NOT NULL,
		submitter_id INT NOT NULL,
		comments TEXT)";
		$result = mysql_query($query,$this->dbh);
		if(!$result) throw new Dofus_DB_Table_Creation_Exception($query);
		
		$query = "CREATE TABLE users (
		user_id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
		username VARCHAR(64) NOT NULL,
		email VARCHAR(128) NOT NULL,
		passhash CHAR(40) NOT NULL, //40 is sha1 length. change to 32 for md5
		permission INT NOT NULL,
		verified CHAR(1) DEFAULT '0' NOT NULL)";
		$result = mysql_query($query,$this->dbh);
		if(!$result) throw new Dofus_DB_Table_Creation_Exception($query);
	}
	/**
	 * Deletes the tables from the database
	 *
	 */
	public function deleteTables(){
		$query = "DROP TABLE categories";
		$result = mysql_query($query,$this->dbh);
		if(!$result) throw new Dofus_DB_Table_Deletion_Exception();
		
		$query = "DROP TABLE items";
		$result = mysql_query($query,$this->dbh);
		if(!$result) throw new Dofus_DB_Table_Deletion_Exception();
		
		$query = "DROP TABLE prices";
		$result = mysql_query($query,$this->dbh);
		if(!$result) throw new Dofus_DB_Table_Deletion_Exception();
		
		$query = "DROP TABLE users";
		$result = mysql_query($query,$this->dbh);
		if(!$result) throw new Dofus_DB_Table_Deletion_Exception();
	}
}
?>